Обновление СУБД PostgreSQL 9.2.2, 9.1.7, 9.0.11, 8.4.15 и 8.3.22

Доступны корректирующие обновления для всех поддерживаемых веток PostgreSQL: 9.2.2, 9.1.7, 9.0.11, 8.4.15 и 8.3.22. Поддержка ветки PostgreSQL 8.3 близится к завершению — обновления будут выпускаться до февраля 2013 года, поддержка ветки 8.4 продлится до июля 2014 г., 9.0 до сентября 2015 г., 9.1 до сентября 2016 г., 9.2 до сентября 2017 г.

Представленные обновления носят плановых характер и рекомендуются для установки в следующий запланированный период обслуживания СУБД. Исключение составляют только системы, использующие возможности по поддержанию горячего резерва (Hot Standby), которые рекомендуется обновить как можно быстрее из-за исправления серьёзной ошибки, которая может привести к повреждению индексов и данных на реплицированном сервере, при определённом редком стечении обстоятельств. Также устранена большая порция мелких проблем, таких как крах pgsql при некорректной кодировке входных данных, ошибка при сборке pg_regress с использованием gmake, проблемы с блокировками при выполнении VACUUM, исправление ошибок в pg_upgrade, устранение утечек памяти в функциях record_out() и record_send().

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.